உள்ளடக்கத்திற்குச் செல்க

Recraft V4 Styles Create Style

ஒருங்கிணை

மாடல் id recraft/v4/create-style
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/recraft/v4/create-style?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கை: $0.005 5 API கிரெடிட்கள் இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக
Recraft பயிற்சி #transform#utility#stylized

விருப்பத்திற்கேற்ப ஒவ்வொரு படத்திற்குமான எடைகளுடன், 1 முதல் 10 குறிப்பு படங்களிலிருந்து மீண்டும் பயன்படுத்தக்கூடிய V4 Styles பாணி ID-ஐ உருவாக்குகிறது

Recraft · கோப்பு

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை image_urls
கோப்பை விடுங்கள் அல்லது · 10 வரை

PNG, JPG அல்லது WEBP வடிவப் படங்களைப் பயன்படுத்தி URL மூலம் 1–10 பாணிக் குறிப்புகளை வழங்கவும்.

மேம்பட்டவை match · base_style · image_weights
match இயல்புநிலை precise

படங்களை உருவாக்கும்போது பாணியைப் பின்பற்றும் அளவு.

இயல்புநிலை any

உருவாக்கப்பட்ட படங்களுக்கு பயன்படுத்தப்படும் அடிப்படை காட்சிப் பாணி.

பட URLகளுக்கு தனித்தனியாக ஒதுக்கப்படும் எடைகள், `image_urls` உடன் பொருந்தும் வரிசையில்.

POST /run/recraft/v4/create-style?wait=20 விலை → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/recraft/v4/create-style?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

Recraft V4 Styles Create Style பற்றி

`image_urls`-இலிருந்து (PNG, JPG அல்லது WEBP வடிவிலான 1 முதல் 10 படங்கள்) தனிப்பயன் பாணியை உருவாக்கி, V4 Styles உருவாக்கத்திற்கான `style_id`-ஐத் திருப்பி வழங்குகிறது. `base_style` என்பது any அல்லது vector_illustration ஆகும்; `match` என்பது precise அல்லது flexible ஆகும்; `image_weights` ஒவ்வொரு படத்திற்கும் அதே வரிசையில் ஒரு எடையை அமைக்கிறது.

அளவுருக்கள்

நியமப் பெயர் அல்லது நேட்டிவ் பெயர் இரண்டில் ஒன்றை மட்டும் அனுப்பவும். நியமப் பெயர்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
image_urlsதேவை images
வகைurl[] · image
≤ 10 உருப்படிகள்
PNG, JPG அல்லது WEBP வடிவப் படங்களைப் பயன்படுத்தி URL மூலம் 1–10 பாணிக் குறிப்புகளை வழங்கவும்.
base_styleவிருப்பத்தேர்வு
வகைenum
இயல்புநிலைany
anyvector_illustration
உருவாக்கப்பட்ட படங்களுக்கு பயன்படுத்தப்படும் அடிப்படை காட்சிப் பாணி.
matchவிருப்பத்தேர்வு
வகைenum
இயல்புநிலைprecise
preciseflexible
படங்களை உருவாக்கும்போது பாணியைப் பின்பற்றும் அளவு.
image_weightsவிருப்பத்தேர்வு
வகைnumber[]
≤ 10 உருப்படிகள்
பட URLகளுக்கு தனித்தனியாக ஒதுக்கப்படும் எடைகள், `image_urls` உடன் பொருந்தும் வரிசையில்.
தேவை நியமப் பெயர், இதுவும் ஏற்கப்படும்

கோப்பு அளவுருக்கள் பொதுவான https:// URL, 10 MB வரையிலான data: URI அல்லது பதிவேற்றத்தின் file_url-ஐ ஏற்கும். கோப்புகள்

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "recraft/v4/create-style",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "style_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
style_id
stringபின்னர் வரும் கோரிக்கைகளில் புதிதாக உருவாக்கப்பட்ட பாணியைக் குறிப்பிடுவதற்கான அடையாளங்காட்டி.

மேலும் மாதிரிகள்: பயிற்சி

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/recraft/v4/create-style.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt